#pragma once
#include "Entity.h"
#define CS_MOVINGPLATFORM_UD_CREATENAME L"CS_movingplatform_ud"
//移动平台(垂直的）
class CS_MovingPlatform_UD :
    public Entity
{
public:
    CS_MovingPlatform_UD();
    void Step() override;
    void SetState(int stateID, int lr) override;
    int act_no = 0;
    int act_wait = 0;
    int direct = 0;
};

std::shared_ptr<Entity> CreateCS_MovingPlatform_UD();